crypthead.h File Reference
`#include <gwenhywfar/list1.h>`
`#include <gwenhywfar/buffer.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_CRYPTHEAD | GWEN_CRYPTHEAD

## Functions

GWENHYWFAR_API void | GWEN_CryptHead_free (GWEN_CRYPTHEAD *ch)
GWENHYWFAR_API GWEN_CRYPTHEAD * | GWEN_CryptHead_fromBuffer (const uint8_t *p, uint32_t l)
GWENHYWFAR_API int | GWEN_CryptHead_GetCryptProfile (const GWEN_CRYPTHEAD *ch)
GWENHYWFAR_API uint32_t | GWEN_CryptHead_GetKeyLen (const GWEN_CRYPTHEAD *ch)
GWENHYWFAR_API const char * | GWEN_CryptHead_GetKeyName (const GWEN_CRYPTHEAD *ch)
GWENHYWFAR_API int | GWEN_CryptHead_GetKeyNumber (const GWEN_CRYPTHEAD *ch)
GWENHYWFAR_API const uint8_t * | GWEN_CryptHead_GetKeyPtr (const GWEN_CRYPTHEAD *ch)
GWENHYWFAR_API int | GWEN_CryptHead_GetKeyVersion (const GWEN_CRYPTHEAD *ch)
GWENHYWFAR_API GWEN_CRYPTHEAD * | GWEN_CryptHead_new (void)
GWENHYWFAR_API void | GWEN_CryptHead_SetCryptProfile (GWEN_CRYPTHEAD *ch, int i)
GWENHYWFAR_API void | GWEN_CryptHead_SetKey (GWEN_CRYPTHEAD *ch, const uint8_t *p, uint32_t l)
GWENHYWFAR_API void | GWEN_CryptHead_SetKeyName (GWEN_CRYPTHEAD *ch, const char *s)
GWENHYWFAR_API void | GWEN_CryptHead_SetKeyNumber (GWEN_CRYPTHEAD *ch, int i)
GWENHYWFAR_API void | GWEN_CryptHead_SetKeyVersion (GWEN_CRYPTHEAD *ch, int i)
GWENHYWFAR_API int | GWEN_CryptHead_toBuffer (const GWEN_CRYPTHEAD *ch, GWEN_BUFFER *buf, uint8_t tagType)

## Typedef Documentation

## GWEN_CRYPTHEAD

typedef struct GWEN_CRYPTHEAD GWEN_CRYPTHEAD

Definition at line 23 of file crypthead.h.

## Function Documentation

## GWEN_CryptHead_free()

GWENHYWFAR_API void GWEN_CryptHead_free | ( | GWEN_CRYPTHEAD * | ch | ) |

References GWENHYWFAR_API.

## GWEN_CryptHead_fromBuffer()

GWENHYWFAR_API GWEN_CRYPTHEAD * GWEN_CryptHead_fromBuffer | ( | const uint8_t * | p,
|  | uint32_t | l )

References GWENHYWFAR_API.

## GWEN_CryptHead_GetCryptProfile()

GWENHYWFAR_API int GWEN_CryptHead_GetCryptProfile | ( | const GWEN_CRYPTHEAD * | ch | ) |

References GWENHYWFAR_API.

## GWEN_CryptHead_GetKeyLen()

GWENHYWFAR_API uint32_t GWEN_CryptHead_GetKeyLen | ( | const GWEN_CRYPTHEAD * | ch | ) |

References GWENHYWFAR_API.

## GWEN_CryptHead_GetKeyName()

GWENHYWFAR_API const char * GWEN_CryptHead_GetKeyName | ( | const GWEN_CRYPTHEAD * | ch | ) |

References GWENHYWFAR_API.

## GWEN_CryptHead_GetKeyNumber()

GWENHYWFAR_API int GWEN_CryptHead_GetKeyNumber | ( | const GWEN_CRYPTHEAD * | ch | ) |

References GWENHYWFAR_API.

## GWEN_CryptHead_GetKeyPtr()

GWENHYWFAR_API const uint8_t * GWEN_CryptHead_GetKeyPtr | ( | const GWEN_CRYPTHEAD * | ch | ) |

References GWENHYWFAR_API.

## GWEN_CryptHead_GetKeyVersion()

GWENHYWFAR_API int GWEN_CryptHead_GetKeyVersion | ( | const GWEN_CRYPTHEAD * | ch | ) |

References GWENHYWFAR_API.

## GWEN_CryptHead_new()

GWENHYWFAR_API GWEN_CRYPTHEAD * GWEN_CryptHead_new | ( | void |  | ) |

References GWENHYWFAR_API.

## GWEN_CryptHead_SetCryptProfile()

GWENHYWFAR_API void GWEN_CryptHead_SetCryptProfile | ( | GWEN_CRYPTHEAD * | ch,
|  | int | i )

References GWENHYWFAR_API.

## GWEN_CryptHead_SetKey()

GWENHYWFAR_API void GWEN_CryptHead_SetKey | ( | GWEN_CRYPTHEAD * | ch,
|  | const uint8_t * | p,
|  | uint32_t | l )

## GWEN_CryptHead_SetKeyName()

GWENHYWFAR_API void GWEN_CryptHead_SetKeyName | ( | GWEN_CRYPTHEAD * | ch,
|  | const char * | s )

References GWENHYWFAR_API.

## GWEN_CryptHead_SetKeyNumber()

GWENHYWFAR_API void GWEN_CryptHead_SetKeyNumber | ( | GWEN_CRYPTHEAD * | ch,
|  | int | i )

References GWENHYWFAR_API.

## GWEN_CryptHead_SetKeyVersion()

GWENHYWFAR_API void GWEN_CryptHead_SetKeyVersion | ( | GWEN_CRYPTHEAD * | ch,
|  | int | i )

References GWENHYWFAR_API.

## GWEN_CryptHead_toBuffer()

GWENHYWFAR_API int GWEN_CryptHead_toBuffer | ( | const GWEN_CRYPTHEAD * | ch,
|  | GWEN_BUFFER * | buf,
|  | uint8_t | tagType )

References GWENHYWFAR_API.